Skip to main content
POST
Relay a card request

Authorizations

x-api-key
string
header
required

Your platform key for buyer management, or a buyer key for everything else.

Path Parameters

transactionId
string
required

Body

application/json
injectionRef
string<uuid>
required

The placeholder's injectionRef.

profileId
string
required
Maximum string length: 64
Example:

"shopify-card-vault"

pageOrigin
string
required

The top-level page's origin.

Maximum string length: 200
Example:

"https://store.myshopify.com"

request
object
required
idempotencyKey
string
required

Repeating a relay with the same key returns its first result.

Maximum string length: 255

Response

200

relayed, refused with a reason, or unknown